# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
#
# The Original Code is ChangeNotification version 1.0.
#
# The Initial Owner of the Original Code is European Environment
# Agency (EEA).  Portions created by CMG and Finsiel Romania are
# Copyright (C) European Environment Agency.  All
# Rights Reserved.
#
# Contributor(s):
# Cornel Nitu, Finsiel Romania

#This product includes software developed by Jens Vagelpohl
#for use in the Z Object Publishing Environment
#(http://www.zope.org/).

from Globals import DTMLFile
from OFS import SimpleItem
from Persistence import Persistent

SentinelID = 'Sentinel'
SentinelTITLE = 'Sentinel for Notifications Folders'

class Sentinel(SimpleItem.SimpleItem, Persistent):
    """Sentinel class"""

    meta_type = 'Notifications Sentinel'
    icon = 'misc_/ChangeNotification/Sentinel'

    manage_options = (
    ({'label' : 'View','action' : 'index_html'},)
    )
    def __init__(self, id):
        """constructor"""
        self.id = id
        self.title = SentinelTITLE
        self.__notificationsfolders = []

    def getList(self):
        """Get for '__notificationsfolders'"""
        return self.__notificationsfolders

    def addToList(self, item):
        """add"""
        try:
            self.__notificationsfolders.append(item)
            self._p_changed = 1
        except:
            pass

    def delFromList(self, item):
        """add"""
        try:
            self.__notificationsfolders.remove(item)
            self._p_changed = 1
        except:
            pass

    index_html = DTMLFile('dtml/Sentinel_index', globals())